Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454420 - python-ldap: odd RPATH definition
Summary: python-ldap: odd RPATH definition
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: python-ldap
Version: 4.6
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Matthew Barnes
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-08 12:18 UTC by Tomas Hoger
Modified: 2012-06-20 16:08 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 16:08:09 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2008-07-08 12:18:19 UTC
Description of problem:
_ldap.so library in python-ldap on RHEL4 has RPATH set, pointing to a directory
that is unlikely to exist on the system - /usr/local/openldap-REL_ENG_2_1/lib

As this directory is a subdirectory of an administrator controlled directory,
this issue does not have security implications.  This should be corrected if
there is any other reason for python-ldap update (rpmdiff is likely to complain
if it's not done).  By itself, this is not worth package errata.

Version-Release number of selected component (if applicable):
python-ldap-2.0.1-2.i386

Steps to Reproduce:
# eu-readelf -d /usr/lib/python2.3/site-packages/_ldap.so | grep RPATH
  RPATH             Library rpath:
[/usr/local/openldap-REL_ENG_2_1/lib:/usr/lib/sasl:/usr/local/sasl/lib]

/usr/local/sasl/lib is probably useless as well.

Comment 1 Matthew Barnes 2008-07-10 12:55:01 UTC
Right.  I'll keep tabs on this in case any other python-ldap issues come up.

Comment 2 Jiri Pallich 2012-06-20 16:08:09 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.